Bug 438829 - Limitations of load/start/run for commandline component fhpd
Limitations of load/start/run for commandline component fhpd
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Bachalo
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 10:32 EDT by Rick Moseley
Modified: 2011-02-15 04:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Moseley 2008-03-25 10:32:31 EDT
Description of problem:

Currently the load/start/run commands have problems handling processes that are
multi-threaded because some commands have not been upgraded to be able to
address each individual thread.  Also, the kill command at present does not
handle multi-threaded processes in a consistent manner.


Version-Release number of selected component (if applicable):

rhel 5.2


How reproducible:

every time


Steps to Reproduce:
1. load up a multithreaded process
2. run that process
3. kill that process
  
Actual results:

kill generates an error when trying to get rid of the process

Expected results:

kill should return normally

Additional info:
Comment 1 Rick Moseley 2008-03-25 17:06:36 EDT
Here is a script to reproduce:

$fhpd
(fhpd) load echo
[0.0] Loaded executable file: /bin/echo
(fhpd) load true
[1.0] Loaded executable file: /bin/true
(fhpd) focus
Target set      pid     id      path-to-executable
[0.0]           0       0       /bin/echo
[1.0]           0       0       /bin/true
(fhpd) run [0.0]
execvp: No such file or directory


The correct response to the last run command would be this:

Attached to process ?????
running with this command: /bin/echo
Running process ?????

Comment 2 Rick Moseley 2008-04-02 15:34:44 EDT
I have now checked in the changes for start/run to be able to use HPD notation.
 Test cases have been added to the test suite in
TestRunCommand.java/TestStartCommand.java to test this capability.

Actually, in the above example I have the HPD notation wrong.  The command to
start/run a process with this notation is like so:

[1.0] run

instead of

run [1.0]

here is what the sequence should look like:

(fhpd) load echo
[0.0] Loaded executable file: /bin/echo
(fhpd) load true
[1.0] Loaded executable file: /bin/true
(fhpd) focus
Target set      pid     id      path-to-executable
[0.0]           0       0       /bin/echo
[1.0]           0       0       /bin/true
(fhpd) [0.0] run
Attached to process ?????
running with this command: /bin/echo
Running process ?????


BTW, the start command is almost the same sequence except the output after
issuing the "[1.0] start" command would not have the "Running process ?????"
line and in the 2nd line replace "running" with "starting".

Note You need to log in before you can comment on or make changes to this bug.